<script setup lang="ts">
import { inject, type Ref } from 'vue';

const drawer = inject<Ref<boolean>>('drawer')
const rail = inject<Ref<boolean>>('rail')
</script>

<template>
      <v-navigation-drawer
      v-model="drawer" :rail="rail" 
      permanent 
      color="brown-lighten-4"
      @click="rail = false"
      >
        <template v-slot:prepend>
          <v-list-item
            lines="two"
            prepend-avatar="https://randomuser.me/api/portraits/women/81.jpg"
            title="Jane Smith"
            subtitle="Logged in"
          ></v-list-item>
        </template>

        <v-divider></v-divider>

        <v-list density="compact" nav>
          <v-list-item prepend-icon="mdi-cart" title="POS" value="pos" :to="{ name: 'pos' }"></v-list-item>
          <v-list-item prepend-icon="mdi-account-supervisor" title="Member" value="member" :to="{ name: 'member' }"></v-list-item>
          <v-list-item prepend-icon="mdi-account-box" title="Users" value="users" :to="{ name: 'users' }"></v-list-item>
          <v-list-item prepend-icon="mdi-garage" title="Stock" value="stock" :to="{ name: 'stock' }"></v-list-item>
          <v-list-item prepend-icon="mdi-timetable" title="Check-In-Out" value="checkInOut" :to="{ name: 'checkInOut' }"></v-list-item>
          <v-list-item prepend-icon="mdi-currency-usd" title="Salary" value="salary"  :to="{ name: 'salary' }"></v-list-item>

        </v-list>
      </v-navigation-drawer>
</template>
